<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" id="OTA2003A2007A" version="2.004">
  <xsd:simpleType name="ActionType">
    <xsd:restriction base="xs:string">
      <xsd:enumeration value="Add-Update"/>
      <xsd:enumeration value="Cancel"/>
      <xsd:enumeration value="Delete"/>
      <xsd:enumeration value="Add"/>
      <xsd:enumeration value="Replace"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="CabinType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="First"/>
      <xsd:enumeration value="Business"/>
      <xsd:enumeration value="Economy"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="DayOfWeekType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="Mon"/>
      <xsd:enumeration value="Tue"/>
      <xsd:enumeration value="Wed"/>
      <xsd:enumeration value="Thu"/>
      <xsd:enumeration value="Fri"/>
      <xsd:enumeration value="Sat"/>
      <xsd:enumeration value="Sun"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="FlightTypeType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="Nonstop"/>
      <xsd:enumeration value="Direct"/>
      <xsd:enumeration value="Connection"/>
      <xsd:enumeration value="SingleConnection"/>
      <xsd:enumeration value="DoubleConnection"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="ListOfOTA_CodeType">
    <xsd:list itemType="xs:string"/>
  </xsd:simpleType>
  <xsd:simpleType name="ListOfRPH">
    <xsd:list itemType="xs:string"/>
  </xsd:simpleType>
  <xsd:simpleType name="ListOfStringLength1to8">
    <xsd:list itemType="xs:string"/>
  </xsd:simpleType>
  <xsd:simpleType name="PreferLevelType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="Only"/>
      <xsd:enumeration value="Unacceptable"/>
      <xsd:enumeration value="Preferred"/>
      <xsd:enumeration value="Required"/>
      <xsd:enumeration value="NoPreference"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="TicketType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="eTicket"/>
      <xsd:enumeration value="Paper"/>
      <xsd:enumeration value="MCO"/>
    </xsd:restriction>
  </xsd:simpleType>
</xsd:schema>